#!/bin/sh
KER_VER=`uname -r`
DRIVER_PATH="/lib/modules/$KER_VER/kernel/drivers/usb/misc/"
device="nfrd08c"
echo "uninstalling driver......."
#remove stale node
  rm -f /dev/${device}[0-7]

# uninstall driver from kernel space
 /sbin/rmmod nfrd08c.ko
  
#delete module from source
if [ -f $DRIVER_PATH/nfrd08c.ko ]; then
	rm -f $DRIVER_PATH/nfrd08c.ko
fi
#remove headerfile
if [ -f /usr/include/linux/nfrd08c.h ]; then
	rm -f /usr/include/linux/nfrd08c.h
fi
#remove user module
if [ -f /lib/nfrd08c.so ]; then
	rm -f /lib/nfrd08c.so
fi
#remove Device conf. file
if [ -f /etc/nfrd08c.conf ]; then
	rm -f /etc/nfrd08c.conf
fi

echo ""
echo "Please wait for creating a list of module dependencies."
/sbin/depmod -a $KER_VER
echo ""

echo "driver un-installed successfully"

